/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : April, 1997                                                    */
/* File Name : Flight.h                                                  */
/*************************************************************************/
/*************************************************************************/

#ifndef _FLIGHT_H
#define _FLIGHT_H

#include "Date.h"
#include <List.h>

class Flight
{  public :

     Flight(unsigned,unsigned,unsigned,Date,Date,char*,char*);
     Flight();
     Flight(const Flight&);
     ~Flight();

     void setArrivalDate(Date);
     void setDepartureDate(Date);
     void setFlightNumber(unsigned);

     Date getArrivalDate() const ;
     Date getDepartureDate() const ;
     unsigned getFromIndex() const;
     unsigned getToIndex() const;
     unsigned getFlightNumber() const;
     char* getFlightId() const { return FlightId;} ;
     char* getPlaneType() const { return PlaneType;} ;
     canFollow(Flight aFlight) ;

     Flight operator=(const Flight&);
     operator==(const Flight&);
     friend ostream & operator<<(ostream&,const Flight&);


   private:

      unsigned  source;
      unsigned  destination;
          Date  ArrivalDate;
          Date  DepartureDate;
          char  FlightId[90];
      unsigned  FlightNo;
          char  PlaneType[90];

}; // end of class Flight

#endif
